
#include "WidgetMonopolisticLayoutChildren.h"
#include "Widget.h"
#include "..\ObjectRelationship\MonopolisticRelateObject.h"

namespace ghost{

	namespace widget{

		MonopolisticLayoutChildren::MonopolisticLayoutChildren()
			: pWidget_(0)
		{

		}

		void MonopolisticLayoutChildren::RelationshipCreated_(ObjectRelationship* pObject)
		{
			if (SetMonopolisticRelatedObject(pWidget_, this, pObject))
			{
				// ¼
				WidgetAttached_(dynamic_cast<Widget*>(pObject));
			}
		}
		void MonopolisticLayoutChildren::RelationshipDestroyed_(ObjectRelationship* pObject)
		{
			if (RemoveMonopolisticRelatedObject(pWidget_, pObject))
			{
				// ¼
				WidgetDetached_(dynamic_cast<Widget*>(pObject));
			}
		}

	} // namespace widget

} // namespace ghost