
#ifndef WIDGET_MONOPOLISTIC_LAYOUT_CHILDREN_H
#define WIDGET_MONOPOLISTIC_LAYOUT_CHILDREN_H

#include "WidgetLayoutChildren.h"

namespace ghost{

	namespace widget{

		class MonopolisticLayoutChildren : public LayoutChildren{
		protected:
			Widget* pWidget_;

		public:
			MonopolisticLayoutChildren();
			virtual ~MonopolisticLayoutChildren(){}

		public:
			Widget* GetWidget() const{return pWidget_;}

		protected:
			virtual void RelationshipCreated_(ObjectRelationship* pObject);
			virtual void RelationshipDestroyed_(ObjectRelationship* pObject);

		protected: // ¼
			virtual void WidgetAttached_(Widget* /*pWidget*/){}
			virtual void WidgetDetached_(Widget* /*pWidget*/){}
		};

	} // namespace widget

} // namespace ghos

#endif // WIDGET_MONOPOLISTIC_LAYOUT_CHILDREN_H