
#ifndef WIDGET_RELATED_OBJECT_H
#define WIDGET_RELATED_OBJECT_H

#include <set>

namespace ghost{

	class Widget;
	class ObjectRelationship;

	namespace widget{

		class LayoutChildren;

		typedef std::set<LayoutChildren*> LayoutChildrenSet;

		class RelatedObject{
			Widget* pWidget_; // ؼ

			// ؼĶ
			LayoutChildrenSet layoutChildrens_; // жֹͬӿؼ

		private:
			friend class Widget;
			explicit RelatedObject(Widget* const pWidget);

		public: // ȡĽӿ
			const LayoutChildrenSet& GetLayoutChildrens() const{return layoutChildrens_;}

		private:
			void RelationshipCreated_(ObjectRelationship* pObject);
			void RelationshipDestroyed_(ObjectRelationship* pObject);
		};

	} // namespace widget

} // namespace ghost

#endif // WIDGET_RELATED_OBJECT_H