
#ifndef WINDOW_MESSAGE_ASSISTANT_H
#define WINDOW_MESSAGE_ASSISTANT_H

#include <Windows.h>

namespace ghost{

	namespace wnd_msg_assistant{

		class OnPaint{
			HWND hWnd_;
			PAINTSTRUCT ps_;
			HDC memDC_;

		public:
			explicit OnPaint(HWND h);
			~OnPaint();

		private:
			OnPaint(const OnPaint&);
			OnPaint& operator =(const OnPaint&);

		public:
			HWND GetHWND() const{return hWnd_;}
			HDC GetMemDC() const{return memDC_;}
			PAINTSTRUCT& GetPaintStruct(){return ps_;}
		};

	} // namespace wnd_msg_assistant

} // namespace ghost

#endif // WINDOW_MESSAGE_ASSISTANT_H