
#include "SingleObjectRelationship.h"
#include "MultiObjectRelationship.h"

int main()
{
	//1-1
	ghost::SingleObjectRelationship s1;
	ghost::SingleObjectRelationship s2;
	s1.CreateRelationship(&s2);

	//1-n
	ghost::SingleObjectRelationship s3;
	ghost::MultiObjectRelationship m1;
	s3.CreateRelationship(&m1);

	//n-n
	ghost::MultiObjectRelationship m2;
	m1.CreateRelationship(&m2);

	m2.CreateRelationship(&s1);
	m2.CreateRelationship(&s2);
	m2.CreateRelationship(&s3);

	m2.DestroyAllRelationships();
	return 0;
}